GNU bug report logs - #24226
(Windows) menu-set-font doesn't work for all font styles

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juhani Åhman <juhanipm@HIDDEN>; Keywords: moreinfo; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 24226 <at> debbugs.gnu.org and Juhani Åhman <juhanipm@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 15 Jan 2020 05:53:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 00:53:01 2020
Received: from localhost ([127.0.0.1]:34173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irbbx-0000LW-Da
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 00:53:01 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:41870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1irbbw-0000L5-9e; Wed, 15 Jan 2020 00:53:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=m7nByGIU1SZhFcKHNx13aRpZgJcQsYApjEhf0HfL7/4=; b=hq6plDg5vxMdYeidKMZp/YGEyi
 Sygkmzlsosps49XbZgpOHX7YGX85ogNeav8kBsGD5frWaPNDH+6rPxpp7txrbZOhq9fYfpfTFMbMg
 VuoxbEedao972kpm2IyDWnCTEvtr8zru420NWYUjYKgCgyT2AWVGO2jUKyKD+rac0xoXWxXvNAGRP
 IjR5tbOSjRMFDy6yWV/t4F5pOe/Vb0id3K2UKI99Xota1xvw/w4YOHnYI/HSgXjodfJmKGMXInXS5
 KF7YmunOyybEuwjPzj1usesk4fBBkKIZHot8gTY8Bvs6s4LhqEg3vyqV471k1LNt5oUMsAHfZPWJ2
 dJAtAWLg==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:34300
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1irbbp-000Xad-Ub; Wed, 15 Jan 2020 00:52:54 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
In-Reply-To: <83ftim5vb3.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 18:20:16 +0200")
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN>
 <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
 <83y43ve7uw.fsf@HIDDEN> <87a78vdm0h.fsf@HIDDEN>
 <2003664384.30884.1573982629315@HIDDEN>
 <83ftim5vb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Wed, 15 Jan 2020 06:52:52 +0100
Message-ID: <87eew1e05n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24226
Cc: juhanipm@HIDDEN, larsi@HIDDEN, 24226 <at> debbugs.gnu.org,
 Juhani Ahman <juhani@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 24226 27.1
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Sun, 17 Nov 2019 11:23:49 +0200 (EET)
>> From: Juhani Ahman <juhani@HIDDEN>
>> Cc: Juhani =C3=85hman <juhanipm@HIDDEN>,
>> 	24226 <at> debbugs.gnu.org
>>=20
>> I tried version
>>=20
>> GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-11-11
>>=20
>> with 'emacs -Q' and it still happens
>
> I think I see the problem.  (I originally said I couldn't reproduce
> because I used the font selection via S-mouse-1, not the "Set Default
> Font" menu-bar item.)
>
> Should be fixed now, please try the latest master branch.

No further comments within 8 weeks, so I'll assume the fix worked.
I'm consequently closing this bug.

If this is still an issue, please reopen the bug or simply reply to
this email (use "Reply to all" in your email client).

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 17 Nov 2019 16:20:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 11:20:30 2019
Received: from localhost ([127.0.0.1]:42455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWNHp-0005qc-PX
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:20:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWNHm-0005qK-7H
 for 24226 <at> debbugs.gnu.org; Sun, 17 Nov 2019 11:20:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35718)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWNHe-0004hQ-G6; Sun, 17 Nov 2019 11:20:18 -0500
Received: from [176.228.60.248] (port=4740 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWNHc-0001l5-90; Sun, 17 Nov 2019 11:20:17 -0500
Date: Sun, 17 Nov 2019 18:20:16 +0200
Message-Id: <83ftim5vb3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juhani Ahman <juhani@HIDDEN>
In-reply-to: <2003664384.30884.1573982629315@HIDDEN> (message from
 Juhani Ahman on Sun, 17 Nov 2019 11:23:49 +0200 (EET))
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN> <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
 <83y43ve7uw.fsf@HIDDEN> <87a78vdm0h.fsf@HIDDEN>
 <2003664384.30884.1573982629315@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24226
Cc: juhanipm@HIDDEN, larsi@HIDDEN, 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 17 Nov 2019 11:23:49 +0200 (EET)
> From: Juhani Ahman <juhani@HIDDEN>
> Cc: Juhani Åhman <juhanipm@HIDDEN>,
> 	24226 <at> debbugs.gnu.org
> 
> I tried version
> 
> GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-11-11
> 
> with 'emacs -Q' and it still happens

I think I see the problem.  (I originally said I couldn't reproduce
because I used the font selection via S-mouse-1, not the "Set Default
Font" menu-bar item.)

Should be fixed now, please try the latest master branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 17 Nov 2019 09:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 04:24:04 2019
Received: from localhost ([127.0.0.1]:40307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWGmq-0004mc-3p
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 04:24:04 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:55550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juhani@HIDDEN>) id 1iWGml-0004m5-Fn
 for 24226 <at> debbugs.gnu.org; Sun, 17 Nov 2019 04:24:02 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 47G68n4sj1zKmVl;
 Sun, 17 Nov 2019 10:23:53 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :subject:subject:references:in-reply-to:message-id:from:from
 :date:date:received; s=mail20150812; t=1573982630; bh=kwwlCZFLiH
 bGArjy9YESThNZky76dYmn6r3MyV/hEdo=; b=Zw2tIo4ASvLAjdq4X8tBRIDL0f
 i6YPCplArLxZoIxAdvpbGeT28r77U3ZAT0Y9e5CzXoRZjrTsvp4lpZXldlokLUWQ
 +zXsurZFmp/kOdLEE6qm0AR2KOwBH/5jy+Viqh32WuAl+Dp1Y0qZ836pkuHATdwi
 K6Mi8egemN1PVnSXVufH5ND9EtMZCl8m6R8a3sCrbGtyW75gtCb16CKmmmlu08M1
 o8XTLbB0y/kXPm8K0EtQmHIVy5/+ICyXi5UJ5GIs+5V41RAb7AtbPpSKjNEtBEVw
 3IFaP3ttKRfQr8y7OUDP5IhM315pd3VtyPsGxHz8oMMzz+XpboWqtoKLsZuQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1573982631;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HsDT5Mu6q3jJZgdm0D7VakelWDGHq2tyNPbr+4o6P2A=;
 b=w47OiC6isGttuLF9kIg8yCvQmuo0iXWze+T+tGqFEON7BenoDaLzobGjsAENqyks4fBCXE
 epIRyjHbm2lUgCjstN+ByqgB+e3OnMbJmkhLq8EIKZc0a5Crdjg5JRMFhiSLweF0OhVLWY
 QMQi7u4kOmI0unHo72pIRRzybD1GSQa9fNzz360g0huiw1MPyEIzMLtkMocMBwvoR6EHdN
 6kFL+bT5Dw9xHqsTxP+Gdc4qSHex1lqAk2Y+bVGP9w/QRQF4kQoPh1wiiVFWJWOvOFtQ2v
 qFlzuxySk2Gp1u4GUtlg3SUlkcuIjR6nyc2JQ+WV5tzdmI5xTjlOzaGXpCz+zA==
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id OCIGY9Ox6Zsy; Sun, 17 Nov 2019 10:23:50 +0100 (CET)
Date: Sun, 17 Nov 2019 11:23:49 +0200 (EET)
From: Juhani Ahman <juhani@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Message-ID: <2003664384.30884.1573982629315@HIDDEN>
In-Reply-To: <87a78vdm0h.fsf@HIDDEN>
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN> <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
 <83y43ve7uw.fsf@HIDDEN> <87a78vdm0h.fsf@HIDDEN>
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24226
Cc: =?UTF-8?Q?Juhani_=C3=85hman?= <juhanipm@HIDDEN>, 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I tried version

GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32) of 2019-11-11

with 'emacs -Q' and it still happens

> On 17 November 2019 at 09:01 Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> 
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> I tried with emacs -Q. No luck.
> >> 
> >> I used OTF, but TTF fonts don't work either.
> >> 
> >> I'm running Windows 10.
> >
> > I don't have easy access to a Windows 10 machine.  Can someone else
> > try this on Windows 10, please?
> 
> That was three years ago, but there we no followups.
> 
> The font machinery in Emacs has changed quite a bit since then --
> Juhani, are you still able to reproduce the error in Emacs 27?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 17 Nov 2019 07:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 02:01:50 2019
Received: from localhost ([127.0.0.1]:40070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWEZC-00022I-3W
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:01:50 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWEZ7-0001us-1N
 for 24226 <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:01:48 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWEYw-0004HP-TN; Sun, 17 Nov 2019 08:01:37 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN>
 <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
 <83y43ve7uw.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 08:01:34 +0100
In-Reply-To: <83y43ve7uw.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 17 Aug
 2016 18:24:39 +0300")
Message-ID: <87a78vdm0h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> I tried with emacs
 -Q. No luck. >> >> I used OTF, but TTF fonts don't work either. >> >> I'm
 running Windows 10. > > I don't have easy access to a Windows 10 machine.
 Can someone else > try this on [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24226
Cc: Juhani =?utf-8?Q?=C3=85hman?= <juhanipm@HIDDEN>, 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I tried with emacs -Q. No luck.
>> 
>> I used OTF, but TTF fonts don't work either.
>> 
>> I'm running Windows 10.
>
> I don't have easy access to a Windows 10 machine.  Can someone else
> try this on Windows 10, please?

That was three years ago, but there we no followups.

The font machinery in Emacs has changed quite a bit since then --
Juhani, are you still able to reproduce the error in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 17 Aug 2016 15:24:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 17 11:24:49 2016
Received: from localhost ([127.0.0.1]:60409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ba2i1-0003Ym-ES
	for submit <at> debbugs.gnu.org; Wed, 17 Aug 2016 11:24:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ba2hz-0003Ya-Iq
 for 24226 <at> debbugs.gnu.org; Wed, 17 Aug 2016 11:24:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ba2hp-00015F-HG
 for 24226 <at> debbugs.gnu.org; Wed, 17 Aug 2016 11:24:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41480)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ba2hp-00014p-Dt; Wed, 17 Aug 2016 11:24:37 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1472
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ba2hn-0005Uu-MF; Wed, 17 Aug 2016 11:24:36 -0400
Date: Wed, 17 Aug 2016 18:24:39 +0300
Message-Id: <83y43ve7uw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juhani =?utf-8?Q?=C3=85hman?= <juhanipm@HIDDEN>
In-reply-to: <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN> (message from
 Juhani =?utf-8?Q?=C3=85hman?= on Wed, 17 Aug 2016 16:21:56 +0300)
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN> <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 24226
Cc: 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

> Cc: 24226 <at> debbugs.gnu.org
> From: Juhani Åhman <juhanipm@HIDDEN>
> Date: Wed, 17 Aug 2016 16:21:56 +0300
> 
> I tried with emacs -Q. No luck.
> 
> I used OTF, but TTF fonts don't work either.
> 
> I'm running Windows 10.

I don't have easy access to a Windows 10 machine.  Can someone else
try this on Windows 10, please?

> Also, it seems that "Light" works too, but just not "ExtraLight".

Both work for me here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 17 Aug 2016 13:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 17 09:21:11 2016
Received: from localhost ([127.0.0.1]:59910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ba0mM-0000M5-Fp
	for submit <at> debbugs.gnu.org; Wed, 17 Aug 2016 09:21:11 -0400
Received: from mail-wm0-f50.google.com ([74.125.82.50]:36560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juhanipm@HIDDEN>) id 1ba0mK-0000Lr-GB
 for 24226 <at> debbugs.gnu.org; Wed, 17 Aug 2016 09:21:08 -0400
Received: by mail-wm0-f50.google.com with SMTP id q128so198677402wma.1
 for <24226 <at> debbugs.gnu.org>; Wed, 17 Aug 2016 06:21:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=+SO9vL8KBbV7awlACfivUEjZ6lBBPDoiXbeO33pLGRQ=;
 b=uK5oFbM2IeGrqwAjCN0sm4+xXsXXwyyKCq3RoJPYTOvlJaFKu44XOrlrHL5+WhX7fb
 e1SSpPMvxnzn8gK2qsuXChNq5N8eLJMAP5xoVE5JAksbYUD/zGxifjVBykIHalk7yC89
 i32VMDDeVn9gri1SKxoKVgjdacKBgDT4qvof4Rm+OMzsT7WBqRrRUrzPCleZk4Tfx07d
 H+BLjjupPx8e5koUvsESF7rtWEVT2WFXrEo/LfEHsMTFcAyh8DV9/MOHsJnd/yyar2Il
 LUlmmdnzcP/FnhCmkP1HymtWLXhTXS3YMFOB0QClJDs83BTYbuC69tQ6l+UKRUMUuoAf
 +rlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:subject:to:references:cc:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=+SO9vL8KBbV7awlACfivUEjZ6lBBPDoiXbeO33pLGRQ=;
 b=M2CKyKI/3gC1QNVfFN+jd6aTaOUNWxpdPYzwThmkuNFQ2MhUCS83fAXqwuV9Dxjz/4
 5QnDiO/21sV4Le3mm1mPOH2lh19oVKe2DLh9vFhB5GplTJm1lWASquFYMoLFiqC8xI3g
 b5YvYtxC/XmUemDvb5sSJRdEYag2jqaUgaFIU0vkVS4FbkiKJD8Fwo8FplG6rNpxkmjD
 g35nMWzRizFE8T+XViuHiTMJvgubuMcKdLx1/Pk+/giYt7VQZxWfMlGZpFInvYPy+4Sp
 jwAuB/10f2lOnyP40q64Ss9QIHeMBTreQeOCsswpdlhPFarVExWWzp6u+WqsPzAt5SIH
 JsNQ==
X-Gm-Message-State: AEkoouujEHhG/ILnpmOxuHSfo7w4hLpH85Nu7PCvZaPvjfXaH5wrcj7yh7IA93Im7tOlJQ==
X-Received: by 10.25.18.78 with SMTP id h75mr8426717lfi.148.1471440062656;
 Wed, 17 Aug 2016 06:21:02 -0700 (PDT)
Received: from [192.168.10.48] (a88-112-159-245.elisa-laajakaista.fi.
 [88.112.159.245])
 by smtp.gmail.com with ESMTPSA id a15sm4947352lfb.34.2016.08.17.06.21.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 17 Aug 2016 06:21:02 -0700 (PDT)
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
To: Eli Zaretskii <eliz@HIDDEN>
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
 <83a8gcg3bc.fsf@HIDDEN>
From: =?UTF-8?Q?Juhani_=c3=85hman?= <juhanipm@HIDDEN>
Message-ID: <32abd583-282b-f43a-c0fe-362c07ec17c2@HIDDEN>
Date: Wed, 17 Aug 2016 16:21:56 +0300
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
In-Reply-To: <83a8gcg3bc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24226
Cc: 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I tried with emacs -Q. No luck.

I used OTF, but TTF fonts don't work either.

I'm running Windows 10.

Also, it seems that "Light" works too, but just not "ExtraLight".


On 16.8.2016 18.07, Eli Zaretskii wrote:
>> From: Juhani Åhman <juhanipm@HIDDEN>
>> Date: Sun, 14 Aug 2016 23:28:34 +0300
>>
>>
>> "Options->Set Default Font..." (or menu-set-font) font selection menu
>> doesn't let you select
>> certain fonts styles, eg. "Source Code Pro ExtraLight" font
>> (https://github.com/adobe-fonts/source-code-pro). Only "Regular" works.
>>
>> It complains:
>>
>> set-face-attribute: Font not available: #<font-spec nil nil Source\
>> Code\ Pro\ ExtraLight nil nil light nil nil 12.0 nil nil nil ((:name .
>> "Source Code Pro ExtraLight-12:light") (user-spec . "Source Code Pro
>> ExtraLight-12:light"))>
> I cannot reproduced this.  I tried both Emacs 24.5 and the latest RC
> of Emacs 25.1, on Windows 7, and both allowed me to select any style
> of this font family.
>
> The fonts come in a large archive, with many different variants (OTF,
> TTF, WOFF, WOFF2, etc.).  Which ones did you install?  I installed the
> ones in the TTF directory.
>
> Also, please try this in "emacs -Q", perhaps some of your
> customizations get in the way.
>
> Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at 24226 <at> debbugs.gnu.org:


Received: (at 24226) by debbugs.gnu.org; 16 Aug 2016 15:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 16 11:07:46 2016
Received: from localhost ([127.0.0.1]:59406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bZfxx-0007YM-U9
	for submit <at> debbugs.gnu.org; Tue, 16 Aug 2016 11:07:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34319)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bZfxw-0007Y7-RL
 for 24226 <at> debbugs.gnu.org; Tue, 16 Aug 2016 11:07:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bZfxn-0006Cc-Bg
 for 24226 <at> debbugs.gnu.org; Tue, 16 Aug 2016 11:07:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52818)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bZfxn-0006CY-91; Tue, 16 Aug 2016 11:07:35 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2670
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bZfxm-0003m4-FF; Tue, 16 Aug 2016 11:07:34 -0400
Date: Tue, 16 Aug 2016 18:07:35 +0300
Message-Id: <83a8gcg3bc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juhani =?utf-8?Q?=C3=85hman?= <juhanipm@HIDDEN>
In-reply-to: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN> (message from
 Juhani =?utf-8?Q?=C3=85hman?= on Sun, 14 Aug 2016 23:28:34 +0300)
Subject: Re: bug#24226: (Windows) menu-set-font doesn't work for all font
 styles
References: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 24226
Cc: 24226 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

> From: Juhani Åhman <juhanipm@HIDDEN>
> Date: Sun, 14 Aug 2016 23:28:34 +0300
> 
> 
> "Options->Set Default Font..." (or menu-set-font) font selection menu 
> doesn't let you select
> certain fonts styles, eg. "Source Code Pro ExtraLight" font
> (https://github.com/adobe-fonts/source-code-pro). Only "Regular" works.
> 
> It complains:
> 
> set-face-attribute: Font not available: #<font-spec nil nil Source\ 
> Code\ Pro\ ExtraLight nil nil light nil nil 12.0 nil nil nil ((:name . 
> "Source Code Pro ExtraLight-12:light") (user-spec . "Source Code Pro 
> ExtraLight-12:light"))>

I cannot reproduced this.  I tried both Emacs 24.5 and the latest RC
of Emacs 25.1, on Windows 7, and both allowed me to select any style
of this font family.

The fonts come in a large archive, with many different variants (OTF,
TTF, WOFF, WOFF2, etc.).  Which ones did you install?  I installed the
ones in the TTF directory.

Also, please try this in "emacs -Q", perhaps some of your
customizations get in the way.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2016 20:28:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 14 16:28:04 2016
Received: from localhost ([127.0.0.1]:57524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bZ20p-0001yR-Th
	for submit <at> debbugs.gnu.org; Sun, 14 Aug 2016 16:28:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20n-0001xw-MK
 for submit <at> debbugs.gnu.org; Sun, 14 Aug 2016 16:28:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20g-0002eS-1z
 for submit <at> debbugs.gnu.org; Sun, 14 Aug 2016 16:27:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41610)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20f-0002eD-Ua
 for submit <at> debbugs.gnu.org; Sun, 14 Aug 2016 16:27:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47839)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20c-0006tM-6u
 for bug-gnu-emacs@HIDDEN; Sun, 14 Aug 2016 16:27:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20X-0002cp-3l
 for bug-gnu-emacs@HIDDEN; Sun, 14 Aug 2016 16:27:49 -0400
Received: from mail-wm0-x230.google.com ([2a00:1450:400c:c09::230]:38873)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juhanipm@HIDDEN>) id 1bZ20W-0002cd-Ns
 for bug-gnu-emacs@HIDDEN; Sun, 14 Aug 2016 16:27:45 -0400
Received: by mail-wm0-x230.google.com with SMTP id o80so69851457wme.1
 for <bug-gnu-emacs@HIDDEN>; Sun, 14 Aug 2016 13:27:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-transfer-encoding;
 bh=U9YrNrynYpimEtFZboJkNkfLiTVAzfR0oic/GRrUgwg=;
 b=eexXesNW7UP1rKKI+lqpidKA6qVq0UEi62Pn88a9it1vnwSZFwUYjRws8wuEJNdPWy
 /wnbsDu4eq3Ums7XhzpEIV+u21egixRrPuQdOI7EnvfoHkSnvtOHrIORxUwgVttnAqna
 KHLaZHfqzx8g1IzvCGbY4Ze9sz4wdSjCs2cYUOZPHMUS76XWb7Sio4T1Vr04IloYYuqN
 IJoS8cw55Y6j6uEVftKubBsqFBBrrpTAsEIGNP6+f0o6wY1g3FbsHt9IYXWcQeD7jlOg
 gUlTTcDR3wNKTVltOtJLMDc9ebY/8hzTmqwMXb9I8xQTx8vgmH5P1CJbmhIy7uqGmXgh
 rNBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-transfer-encoding;
 bh=U9YrNrynYpimEtFZboJkNkfLiTVAzfR0oic/GRrUgwg=;
 b=Ft9yZpCR1YkZnQ85hi955iGdoKA2tx7vcx1gwkga7A5nZNGb2M9i7p9ZIL8PDKgWwu
 JYdKfZtinKTehYLM1uc7/81/qlH5GAeVdxAJPLugRslE54AG13o9PMhc/BAcsrkhHOei
 SS6JE/JFEzMCHblkSlWjrcFHHMVoDZHQh0BDVHXRUn33ijxzYhTzifWOdeIwQMg+P7Ga
 ary4GmqURJe5jh+3t8rosbmg+16m0gui42MpDqyjb9eXXEU3RgQqZG6OTLkjdujGj9oU
 wJwA2RLZjXUuZiBaRgv1cex8yACNIxx2wrweD3BpuPTthU4IMxaX5epkLiI7laIS7hfD
 6VKA==
X-Gm-Message-State: AEkooutY/lg+OIAFqTeJobkIi9r0VQH3dYj1DwAMAAZtflSMbSqLjfEW1jQ9FaJIPzvaQg==
X-Received: by 10.25.139.135 with SMTP id n129mr4137973lfd.111.1471206463191; 
 Sun, 14 Aug 2016 13:27:43 -0700 (PDT)
Received: from [192.168.10.48] (a88-112-159-245.elisa-laajakaista.fi.
 [88.112.159.245])
 by smtp.gmail.com with ESMTPSA id j198sm2797695lfg.18.2016.08.14.13.27.41
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 14 Aug 2016 13:27:42 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Juhani_=c3=85hman?= <juhanipm@HIDDEN>
Subject: (Windows) menu-set-font doesn't work for all font styles
Message-ID: <5b0e0ff5-f1b8-6b33-ec7a-33c2c4de8afe@HIDDEN>
Date: Sun, 14 Aug 2016 23:28:34 +0300
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


"Options->Set Default Font..." (or menu-set-font) font selection menu 
doesn't let you select
certain fonts styles, eg. "Source Code Pro ExtraLight" font
(https://github.com/adobe-fonts/source-code-pro). Only "Regular" works.

It complains:

set-face-attribute: Font not available: #<font-spec nil nil Source\ 
Code\ Pro\ ExtraLight nil nil light nil nil 12.0 nil nil nil ((:name . 
"Source Code Pro ExtraLight-12:light") (user-spec . "Source Code Pro 
ExtraLight-12:light"))>

However, in emacs config file, I can set the font explicitly with command

(set-face-attribute 'default nil :font "-outline-Source Code Pro 
ExtraLight-extralight-normal-normal-mono-16-*-*-*-c-*-iso8859-1")

, but not through the menu. This font name came from "describe-char" 
command.






In GNU Emacs 24.5.1 (i686-pc-mingw32)
  of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.3.9600
Configured using:
  `configure --prefix=/c/usr --host=i686-pc-mingw32'

Important settings:
   value of $LANG: FIN
   locale-coding-system: cp1252

Major mode: Emacs-Lisp

Minor modes in effect:
   global-subword-mode: t
   subword-mode: t
   global-hl-line-mode: t
   cua-mode: t
   diff-auto-refine-mode: t
   shell-dirtrack-mode: t
   show-paren-mode: t
   delete-selection-mode: t
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Mark set
Send this bug report to the Emacs maintainers? (y or n) y
Saving file c:/Users/Administrator/.emacs.d/init.el...
Wrote c:/Users/Administrator/.emacs.d/init.el [2 times]
Sending...
Mark set [2 times]
Sending via mail...
Sending...done
C-c x is undefined
Buffer *unsent mail to bug-gnu-emacs@HIDDEN*<2> modified; kill anyway? 
(y or n) y

Load-path shadows:
c:/emacs/share/emacs/site-lisp/org/ox hides 
c:/emacs/share/emacs/24.5/lisp/org/ox
c:/emacs/share/emacs/site-lisp/org/ox-texinfo hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-texinfo
c:/emacs/share/emacs/site-lisp/org/ox-publish hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-publish
c:/emacs/share/emacs/site-lisp/org/ox-org hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-org
c:/emacs/share/emacs/site-lisp/org/ox-odt hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-odt
c:/emacs/share/emacs/site-lisp/org/ox-md hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-md
c:/emacs/share/emacs/site-lisp/org/ox-man hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-man
c:/emacs/share/emacs/site-lisp/org/ox-latex hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-latex
c:/emacs/share/emacs/site-lisp/org/ox-icalendar hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-icalendar
c:/emacs/share/emacs/site-lisp/org/ox-html hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-html
c:/emacs/share/emacs/site-lisp/org/ox-beamer hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-beamer
c:/emacs/share/emacs/site-lisp/org/ox-ascii hides 
c:/emacs/share/emacs/24.5/lisp/org/ox-ascii
c:/emacs/share/emacs/site-lisp/org/org hides 
c:/emacs/share/emacs/24.5/lisp/org/org
c:/emacs/share/emacs/site-lisp/org/org-w3m hides 
c:/emacs/share/emacs/24.5/lisp/org/org-w3m
c:/emacs/share/emacs/site-lisp/org/org-version hides 
c:/emacs/share/emacs/24.5/lisp/org/org-version
c:/emacs/share/emacs/site-lisp/org/org-timer hides 
c:/emacs/share/emacs/24.5/lisp/org/org-timer
c:/emacs/share/emacs/site-lisp/org/org-table hides 
c:/emacs/share/emacs/24.5/lisp/org/org-table
c:/emacs/share/emacs/site-lisp/org/org-src hides 
c:/emacs/share/emacs/24.5/lisp/org/org-src
c:/emacs/share/emacs/site-lisp/org/org-rmail hides 
c:/emacs/share/emacs/24.5/lisp/org/org-rmail
c:/emacs/share/emacs/site-lisp/org/org-protocol hides 
c:/emacs/share/emacs/24.5/lisp/org/org-protocol
c:/emacs/share/emacs/site-lisp/org/org-plot hides 
c:/emacs/share/emacs/24.5/lisp/org/org-plot
c:/emacs/share/emacs/site-lisp/org/org-pcomplete hides 
c:/emacs/share/emacs/24.5/lisp/org/org-pcomplete
c:/emacs/share/emacs/site-lisp/org/org-mouse hides 
c:/emacs/share/emacs/24.5/lisp/org/org-mouse
c:/emacs/share/emacs/site-lisp/org/org-mobile hides 
c:/emacs/share/emacs/24.5/lisp/org/org-mobile
c:/emacs/share/emacs/site-lisp/org/org-mhe hides 
c:/emacs/share/emacs/24.5/lisp/org/org-mhe
c:/emacs/share/emacs/site-lisp/org/org-macs hides 
c:/emacs/share/emacs/24.5/lisp/org/org-macs
c:/emacs/share/emacs/site-lisp/org/org-macro hides 
c:/emacs/share/emacs/24.5/lisp/org/org-macro
c:/emacs/share/emacs/site-lisp/org/org-loaddefs hides 
c:/emacs/share/emacs/24.5/lisp/org/org-loaddefs
c:/emacs/share/emacs/site-lisp/org/org-list hides 
c:/emacs/share/emacs/24.5/lisp/org/org-list
c:/emacs/share/emacs/site-lisp/org/org-irc hides 
c:/emacs/share/emacs/24.5/lisp/org/org-irc
c:/emacs/share/emacs/site-lisp/org/org-install hides 
c:/emacs/share/emacs/24.5/lisp/org/org-install
c:/emacs/share/emacs/site-lisp/org/org-inlinetask hides 
c:/emacs/share/emacs/24.5/lisp/org/org-inlinetask
c:/emacs/share/emacs/site-lisp/org/org-info hides 
c:/emacs/share/emacs/24.5/lisp/org/org-info
c:/emacs/share/emacs/site-lisp/org/org-indent hides 
c:/emacs/share/emacs/24.5/lisp/org/org-indent
c:/emacs/share/emacs/site-lisp/org/org-id hides 
c:/emacs/share/emacs/24.5/lisp/org/org-id
c:/emacs/share/emacs/site-lisp/org/org-habit hides 
c:/emacs/share/emacs/24.5/lisp/org/org-habit
c:/emacs/share/emacs/site-lisp/org/org-gnus hides 
c:/emacs/share/emacs/24.5/lisp/org/org-gnus
c:/emacs/share/emacs/site-lisp/org/org-footnote hides 
c:/emacs/share/emacs/24.5/lisp/org/org-footnote
c:/emacs/share/emacs/site-lisp/org/org-feed hides 
c:/emacs/share/emacs/24.5/lisp/org/org-feed
c:/emacs/share/emacs/site-lisp/org/org-faces hides 
c:/emacs/share/emacs/24.5/lisp/org/org-faces
c:/emacs/share/emacs/site-lisp/org/org-eshell hides 
c:/emacs/share/emacs/24.5/lisp/org/org-eshell
c:/emacs/share/emacs/site-lisp/org/org-entities hides 
c:/emacs/share/emacs/24.5/lisp/org/org-entities
c:/emacs/share/emacs/site-lisp/org/org-element hides 
c:/emacs/share/emacs/24.5/lisp/org/org-element
c:/emacs/share/emacs/site-lisp/org/org-docview hides 
c:/emacs/share/emacs/24.5/lisp/org/org-docview
c:/emacs/share/emacs/site-lisp/org/org-datetree hides 
c:/emacs/share/emacs/24.5/lisp/org/org-datetree
c:/emacs/share/emacs/site-lisp/org/org-ctags hides 
c:/emacs/share/emacs/24.5/lisp/org/org-ctags
c:/emacs/share/emacs/site-lisp/org/org-crypt hides 
c:/emacs/share/emacs/24.5/lisp/org/org-crypt
c:/emacs/share/emacs/site-lisp/org/org-compat hides 
c:/emacs/share/emacs/24.5/lisp/org/org-compat
c:/emacs/share/emacs/site-lisp/org/org-colview hides 
c:/emacs/share/emacs/24.5/lisp/org/org-colview
c:/emacs/share/emacs/site-lisp/org/org-clock hides 
c:/emacs/share/emacs/24.5/lisp/org/org-clock
c:/emacs/share/emacs/site-lisp/org/org-capture hides 
c:/emacs/share/emacs/24.5/lisp/org/org-capture
c:/emacs/share/emacs/site-lisp/org/org-bibtex hides 
c:/emacs/share/emacs/24.5/lisp/org/org-bibtex
c:/emacs/share/emacs/site-lisp/org/org-bbdb hides 
c:/emacs/share/emacs/24.5/lisp/org/org-bbdb
c:/emacs/share/emacs/site-lisp/org/org-attach hides 
c:/emacs/share/emacs/24.5/lisp/org/org-attach
c:/emacs/share/emacs/site-lisp/org/org-archive hides 
c:/emacs/share/emacs/24.5/lisp/org/org-archive
c:/emacs/share/emacs/site-lisp/org/org-agenda hides 
c:/emacs/share/emacs/24.5/lisp/org/org-agenda
c:/emacs/share/emacs/site-lisp/org/ob hides 
c:/emacs/share/emacs/24.5/lisp/org/ob
c:/emacs/share/emacs/site-lisp/org/ob-tangle hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-tangle
c:/emacs/share/emacs/site-lisp/org/ob-table hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-table
c:/emacs/share/emacs/site-lisp/org/ob-sqlite hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-sqlite
c:/emacs/share/emacs/site-lisp/org/ob-sql hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-sql
c:/emacs/share/emacs/site-lisp/org/ob-shen hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-shen
c:/emacs/share/emacs/site-lisp/org/ob-screen hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-screen
c:/emacs/share/emacs/site-lisp/org/ob-scheme hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-scheme
c:/emacs/share/emacs/site-lisp/org/ob-scala hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-scala
c:/emacs/share/emacs/site-lisp/org/ob-sass hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-sass
c:/emacs/share/emacs/site-lisp/org/ob-ruby hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-ruby
c:/emacs/share/emacs/site-lisp/org/ob-ref hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-ref
c:/emacs/share/emacs/site-lisp/org/ob-R hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-R
c:/emacs/share/emacs/site-lisp/org/ob-python hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-python
c:/emacs/share/emacs/site-lisp/org/ob-plantuml hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-plantuml
c:/emacs/share/emacs/site-lisp/org/ob-picolisp hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-picolisp
c:/emacs/share/emacs/site-lisp/org/ob-perl hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-perl
c:/emacs/share/emacs/site-lisp/org/ob-org hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-org
c:/emacs/share/emacs/site-lisp/org/ob-octave hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-octave
c:/emacs/share/emacs/site-lisp/org/ob-ocaml hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-ocaml
c:/emacs/share/emacs/site-lisp/org/ob-mscgen hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-mscgen
c:/emacs/share/emacs/site-lisp/org/ob-maxima hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-maxima
c:/emacs/share/emacs/site-lisp/org/ob-matlab hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-matlab
c:/emacs/share/emacs/site-lisp/org/ob-makefile hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-makefile
c:/emacs/share/emacs/site-lisp/org/ob-lob hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-lob
c:/emacs/share/emacs/site-lisp/org/ob-lisp hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-lisp
c:/emacs/share/emacs/site-lisp/org/ob-lilypond hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-lilypond
c:/emacs/share/emacs/site-lisp/org/ob-ledger hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-ledger
c:/emacs/share/emacs/site-lisp/org/ob-latex hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-latex
c:/emacs/share/emacs/site-lisp/org/ob-keys hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-keys
c:/emacs/share/emacs/site-lisp/org/ob-js hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-js
c:/emacs/share/emacs/site-lisp/org/ob-java hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-java
c:/emacs/share/emacs/site-lisp/org/ob-io hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-io
c:/emacs/share/emacs/site-lisp/org/ob-haskell hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-haskell
c:/emacs/share/emacs/site-lisp/org/ob-gnuplot hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-gnuplot
c:/emacs/share/emacs/site-lisp/org/ob-fortran hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-fortran
c:/emacs/share/emacs/site-lisp/org/ob-exp hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-exp
c:/emacs/share/emacs/site-lisp/org/ob-eval hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-eval
c:/emacs/share/emacs/site-lisp/org/ob-emacs-lisp hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-emacs-lisp
c:/emacs/share/emacs/site-lisp/org/ob-dot hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-dot
c:/emacs/share/emacs/site-lisp/org/ob-ditaa hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-ditaa
c:/emacs/share/emacs/site-lisp/org/ob-css hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-css
c:/emacs/share/emacs/site-lisp/org/ob-core hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-core
c:/emacs/share/emacs/site-lisp/org/ob-comint hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-comint
c:/emacs/share/emacs/site-lisp/org/ob-clojure hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-clojure
c:/emacs/share/emacs/site-lisp/org/ob-calc hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-calc
c:/emacs/share/emacs/site-lisp/org/ob-C hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-C
c:/emacs/share/emacs/site-lisp/org/ob-awk hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-awk
c:/emacs/share/emacs/site-lisp/org/ob-asymptote hides 
c:/emacs/share/emacs/24.5/lisp/org/ob-asymptote

Features:
(mailalias mailclient cus-edit pp shadow sort mail-extr misearch
multi-isearch goto-addr noutline outline view finder finder-inf lisp-mnt
emacsbug sendmail eieio-opt speedbar sb-image ezimage dframe help-mode
face-remap version-modified cc-styles cc-align cc-engine info package
epg-config superword subword bs hl-line edmacro kmacro server
deeper-blue-theme cua-base cus-start cus-load htmlize-view w32-winprint
htmlize psvn log-edit message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
mail-utils gmm-utils mailheader pcvs-util add-log diff-mode poly-R
poly-markdown poly-noweb easy-mmode polymode poly-base polymode-weave
polymode-export polymode-debug polymode-methods poly-lock
polymode-compat polymode-classes polymode-core eieio-custom wid-edit
eieio-base color preview-latex tex-site auto-loads ido ess-toolbar
ess-mouse ess-dde mouseme thingatpt browse-url ess-menu ess-swv
ess-noweb ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d
ess-sas-l ess-sas-a ess-sta-d ess-sta-l cc-vars cc-defs make-regexp
ess-sp6w-d ess-sp3-d ess-julia julia-mode ert find-func ewoc debug
ess-r-d ess-r-syntax ess-r-completion ess-roxy essddr hideshow ess-help
ess-r-package eldoc ess-s-l ess ess-inf ess-tracebug compile tramp
tramp-compat auth-source eieio byte-opt bytecomp byte-compile cl-extra
cconv eieio-core gnus-util mm-util mail-prsvr password-cache
tramp-loaddefs cl-macs trampver shell pcomplete comint ansi-color ring
format-spec advice help-fns ess-mode ess-noweb-mode ess-utils
ess-generics cl gv cl-loaddefs cl-lib ess-custom executable easymenu
ess-compat ess-site paren delsel time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 294701 41708)
  (symbols 32 37411 0)
  (miscs 32 246 652)
  (strings 16 79506 8316)
  (string-bytes 1 2168438)
  (vectors 8 31098)
  (vector-slots 4 635725 14978)
  (floats 8 313 696)
  (intervals 28 2401 36)
  (buffers 508 24))





Acknowledgement sent to Juhani Åhman <juhanipm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24226; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jan 2020 06:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.